/*                            TaskToolGads.h                             */
/*        All the Gadget information and structures for TaskTool         */
/*                                3/7/91                                 */

#ifndef TASKTOOL_TASKTOOLGADS_H
#define TASKTOOL_TASKTOOLGADS_H

#ifndef TASKTOOL_TASKTOOLWINDOW_H
#include "TaskToolWindow.h"
#endif

/* Image Structures */


static USHORT chip S_Plus_Gad_Data[] =
   {
   0x0000, 0x0000,    /* ................................ */
   0x7fff, 0xf800,    /* .####################........... */
   0x7f03, 0xf800,    /* .#######......#######........... */
   0x7f03, 0xf800,    /* .#######......#######........... */
   0x7000, 0x3800,    /* .###..............###........... */
   0x7000, 0x3800,    /* .###..............###........... */
   0x7000, 0x3800,    /* .###..............###........... */
   0x7f03, 0xf800,    /* .#######......#######........... */
   0x7f03, 0xf800,    /* .#######......#######........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x0000, 0x0000,    /* ................................ */

   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x00fc, 0x03ff,    /* ........######........########## */
   0x00fc, 0x03ff,    /* ........######........########## */
   0x0fff, 0xc3ff,    /* ....##############....########## */
   0x0fff, 0xc3ff,    /* ....##############....########## */
   0x0fff, 0xc3ff,    /* ....##############....########## */
   0x00fc, 0x03ff,    /* ........######........########## */
   0x00fc, 0x03ff,    /* ........######........########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff     /* ......................########## */
   };
struct Image S_Plus_Gad_Image = { 0,0, 22,11, 2, S_Plus_Gad_Data, 0x3,0x0, NULL };

static USHORT chip S_Minus_Gad_Data[] =
   {
   0x0000, 0x0000,    /* ................................ */
   0x7fff, 0xf800,    /* .####################........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x7000, 0x3800,    /* .###..............###........... */
   0x7000, 0x3800,    /* .###..............###........... */
   0x7000, 0x3800,    /* .###..............###........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x0000, 0x0000,    /* ................................ */

   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0fff, 0xc3ff,    /* ....##############....########## */
   0x0fff, 0xc3ff,    /* ....##############....########## */
   0x0fff, 0xc3ff,    /* ....##############....########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff     /* ......................########## */
   };
struct Image S_Minus_Gad_Image = { 0,0, 22,11, 2, S_Minus_Gad_Data, 0x3,0x0, NULL };

static USHORT chip S_Refresh_Gad_Data[] =
   {
   0x0000, 0x03ff,    /* ......................########## */
   0x7fff, 0xfbff,    /* .####################.########## */
   0x7c07, 0xfbff,    /* .#####.......########.########## */
   0x7e23, 0xfbff,    /* .######...#...#######.########## */
   0x7e23, 0xfbff,    /* .######...#...#######.########## */
   0x7e07, 0xfbff,    /* .######......########.########## */
   0x7e07, 0xfbff,    /* .######......########.########## */
   0x7e23, 0xfbff,    /* .######...#...#######.########## */
   0x7c31, 0xfbff,    /* .#####....##...######.########## */
   0x7fff, 0xfbff,    /* .####################.########## */
   0x0000, 0x03ff,    /* ......................########## */

   0x0000, 0x0000,    /* ................................ */
   0x0000, 0x0000,    /* ................................ */
   0x03f8, 0x0000,    /* ......#######................... */
   0x01dc, 0x0000,    /* .......###.###.................. */
   0x01dc, 0x0000,    /* .......###.###.................. */
   0x01f8, 0x0000,    /* .......######................... */
   0x01f8, 0x0000,    /* .......######................... */
   0x01dc, 0x0000,    /* .......###.###.................. */
   0x03ce, 0x0000,    /* ......####..###................. */
   0x0000, 0x0000,    /* ................................ */
   0x0000, 0x0000     /* ................................ */
   };
struct Image S_Refresh_Gad_Image = { 0,0, 22,11, 2, S_Refresh_Gad_Data, 0x3,0x0, NULL };

static USHORT chip S_Right_Gad_Data[] =
   {
   0x0000, 0x0000,    /* ................................ */
   0x7fff, 0xf800,    /* .####################........... */
   0x787f, 0xf800,    /* .####....############........... */
   0x7e07, 0xf800,    /* .######......########........... */
   0x7fc0, 0xf800,    /* .#########......#####........... */
   0x7ffc, 0x3800,    /* .#############....###........... */
   0x7fc0, 0xf800,    /* .#########......#####........... */
   0x7e07, 0xf800,    /* .######......########........... */
   0x787f, 0xf800,    /* .####....############........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x0000, 0x0000,    /* ................................ */

   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0780, 0x03ff,    /* .....####.............########## */
   0x01f8, 0x03ff,    /* .......######.........########## */
   0x003f, 0x03ff,    /* ..........######......########## */
   0x0003, 0xc3ff,    /* ..............####....########## */
   0x003f, 0x03ff,    /* ..........######......########## */
   0x01f8, 0x03ff,    /* .......######.........########## */
   0x0780, 0x03ff,    /* .....####.............########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff     /* ......................########## */
   };
struct Image S_Right_Gad_Image = { 0,0, 22,11, 2, S_Right_Gad_Data, 0x3,0x0, NULL };

static USHORT chip S_Down_Gad_Data[] =
   {
   0x0000, 0x0000,    /* ................................ */
   0x7fff, 0xf800,    /* .####################........... */
   0x73ff, 0x3800,    /* .###..##########..###........... */
   0x71fe, 0x3800,    /* .###...########...###........... */
   0x78fc, 0x7800,    /* .####...######...####........... */
   0x7c78, 0xf800,    /* .#####...####...#####........... */
   0x7e31, 0xf800,    /* .######...##...######........... */
   0x7f03, 0xf800,    /* .#######......#######........... */
   0x7f87, 0xf800,    /* .########....########........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x0000, 0x0000,    /* ................................ */

   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0c00, 0xc3ff,    /* ....##..........##....########## */
   0x0e01, 0xc3ff,    /* ....###........###....########## */
   0x0703, 0x83ff,    /* .....###......###.....########## */
   0x0387, 0x03ff,    /* ......###....###......########## */
   0x01ce, 0x03ff,    /* .......###..###.......########## */
   0x00fc, 0x03ff,    /* ........######........########## */
   0x0078, 0x03ff,    /* .........####.........########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff     /* ......................########## */
   };
struct Image S_Down_Gad_Image = { 0,0, 22,11, 2, S_Down_Gad_Data, 0x3,0x0, NULL };

static USHORT chip S_Up_Gad_Data[] =
   {
   0x0000, 0x0000,    /* ................................ */
   0x7fff, 0xf800,    /* .####################........... */
   0x7f87, 0xf800,    /* .########....########........... */
   0x7f03, 0xf800,    /* .#######......#######........... */
   0x7e31, 0xf800,    /* .######...##...######........... */
   0x7c78, 0xf800,    /* .#####...####...#####........... */
   0x78fc, 0x7800,    /* .####...######...####........... */
   0x71fe, 0x3800,    /* .###...########...###........... */
   0x73ff, 0x3800,    /* .###..##########..###........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x0000, 0x0000,    /* ................................ */

   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0078, 0x03ff,    /* .........####.........########## */
   0x00fc, 0x03ff,    /* ........######........########## */
   0x01ce, 0x03ff,    /* .......###..###.......########## */
   0x0387, 0x03ff,    /* ......###....###......########## */
   0x0703, 0x83ff,    /* .....###......###.....########## */
   0x0e01, 0xc3ff,    /* ....###........###....########## */
   0x0c00, 0xc3ff,    /* ....##..........##....########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff     /* ......................########## */
   };
struct Image S_Up_Gad_Image = { 0,0, 22,11, 2, S_Up_Gad_Data, 0x3,0x0, NULL };

static USHORT chip S_Left_Gad_Data[] =
   {
   0x0000, 0x0000,    /* ................................ */
   0x7fff, 0xf800,    /* .####################........... */
   0x7ff8, 0x7800,    /* .############....####........... */
   0x7f81, 0xf800,    /* .########......######........... */
   0x7c0f, 0xf800,    /* .#####......#########........... */
   0x70ff, 0xf800,    /* .###....#############........... */
   0x7c0f, 0xf800,    /* .#####......#########........... */
   0x7f81, 0xf800,    /* .########......######........... */
   0x7ff8, 0x7800,    /* .############....####........... */
   0x7fff, 0xf800,    /* .####################........... */
   0x0000, 0x0000,    /* ................................ */

   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0007, 0x83ff,    /* .............####.....########## */
   0x007e, 0x03ff,    /* .........######.......########## */
   0x03f0, 0x03ff,    /* ......######..........########## */
   0x0f00, 0x03ff,    /* ....####..............########## */
   0x03f0, 0x03ff,    /* ......######..........########## */
   0x007e, 0x03ff,    /* .........######.......########## */
   0x0007, 0x83ff,    /* .............####.....########## */
   0x0000, 0x03ff,    /* ......................########## */
   0x0000, 0x03ff     /* ......................########## */
   };
struct Image S_Left_Gad_Image = { 0,0, 22,11, 2, S_Left_Gad_Data, 0x3,0x0, NULL };




/* Gadget Structures */

#define TOTALGADGETS (NAMESDISPLAYED+8)


    /** Refresh Gadget **/

struct Gadget RefreshGad =
    {
    NULL,
    144,92,
    22,11,
    GADGHCOMP|GADGIMAGE,
    GADGIMMEDIATE,
    BOOLGADGET,
    (APTR) &S_Refresh_Gad_Image,
    NULL,
    NULL,
    NULL,
    NULL,
    16,
    NULL
    };


    /** Priority Setup **/

struct Gadget PriArrowGads[] =
    {
        {
        &RefreshGad,               /* Next Gadget */
        144,110,                   /* X,Y */
        22,11,                     /* Width, Height */
        GADGHCOMP|GADGIMAGE,       /* Complement Highlight, Image */
        GADGIMMEDIATE|RELVERIFY,   /* Want to know at once! */
        BOOLGADGET,                /* I'm a Boolean Gadget */
        (APTR) &S_Right_Gad_Image, /* Image */
        NULL,                      /* No select Image */
        NULL,                      /* No Text */
        NULL,                      /* No Mutual Exclude Info */
        NULL,                      /* No Special Info */
        15,                        /* Gadget Number */
        NULL                       /* No User Data */
        },

        {
        &PriArrowGads[0],          /* Next Gadget */
        122,110,                   /* X,Y */
        22,11,                     /* Width, Height */
        GADGHCOMP|GADGIMAGE,       /* Complement Highlight, Image */
        GADGIMMEDIATE|RELVERIFY,   /* Want to know at once! */
        BOOLGADGET,                /* I'm a Boolean Gadget */
        (APTR) &S_Left_Gad_Image,  /* Image */
        NULL,                      /* No select Image */
        NULL,                      /* No Text */
        NULL,                      /* No Mutual Exclude Info */
        NULL,                      /* No Special Info */
        14,                        /* Gadget Number */
        NULL
        }

    };  /* End of PriArrowGads */


struct Image PriSlider_Image =
    { 1,1,9,5, 0, NULL, 0x0,0x1, NULL };

struct PropInfo PriSlider_PropInfo =
    {
    FREEHORIZ|PROPBORDERLESS,      /* Horizontal Slider   */
    -1, -1,                        /* HorizPot,VertPot    */
    -1, -1                         /* HorizBody, VertBody */
    };

struct Gadget PriSliderGad =
    {
    &PriArrowGads[1],              /* Next Gadget */
    57,112,                        /* X,Y */
    63,7,                          /* Width, Height */
    NULL,                          /* No Flags */
    GADGIMMEDIATE|RELVERIFY,
    PROPGADGET,                    /* Proportional Gadget */
    (APTR) &PriSlider_Image,       /* Block Image for Slider */
    NULL,                          /* No Alternate Image */
    NULL,                          /* No Text */
    NULL,                          /* No BoolInfo */
    (APTR) &PriSlider_PropInfo,    /* Proportional Gadget Info */
    13,                            /* Gadget Number */
    NULL                           /* No User Data */
    };


UBYTE UNDOBUFFER[5]="0";
UBYTE PriStringBuff[5]="0";

struct StringInfo PriString_StringInfo =
    {
    PriStringBuff,                 /* Where Integer Goes */
    UNDOBUFFER,                    /* Undo Buffer */
    0,                             /* Character Pos in buffer */
    5,                             /* Maximum allowable chars (inc. \0) */
    0,                             /* First Displayed Char */
    0,0,0,0,0,                     /* Intuitions' Domain... */
    0,                             /* Layer Pointer */
    0,                             /* Longint Place */
    NULL                           /* No Alt Keymap */
    };

struct Image PriString_Image=
    { 0,0, 34,8, 0, NULL, 0x0,0x0, NULL };

struct Gadget PriStringGad =
    {
    &PriSliderGad,
    20,112,                         /* X,Y */
    35,9,                           /* Width, Height */
    GADGIMAGE,                      /* No Highlight */
    RELVERIFY|LONGINT,              /* Longint Gadget */
    STRGADGET,                      /* String Gadget */
    (APTR)&PriString_Image,         /* Image (white square) */
    NULL,                           /* No Alt Image */
    NULL,                           /* No Text */
    NULL,                           /* No BoolInfo */
    (APTR) &PriString_StringInfo,   /* The special String Stucture */
    12,                             /* Gadget Number */
    NULL                            /* No User Data */
    };


    /**Task Name Setup **/

struct Gadget NameArrowGads[] =
    {
        {
        &PriStringGad,             /* Next Gadget */
        144,75,                    /* X,Y */
        22,11,                     /* Width, Height */
        GADGHCOMP|GADGIMAGE,       /* Complement Highlight, Image */
        GADGIMMEDIATE|RELVERIFY,   /* Want to know at once! */
        BOOLGADGET,                /* I'm a Boolean Gadget */
        (APTR) &S_Down_Gad_Image,  /* Image */
        NULL,                      /* No select Image */
        NULL,                      /* No Text */
        NULL,                      /* No Mutual Exclude Info */
        NULL,                      /* No Special Info */
        11,                        /* Gadget Number */
        NULL                       /* No User Data */
        },

        {
        &NameArrowGads[0],         /* Next Gadget */
        144,65,                    /* X,Y */
        22,11,                     /* Width, Height */
        GADGHCOMP|GADGIMAGE,       /* Complement Highlight, Image */
        GADGIMMEDIATE|RELVERIFY,   /* Want to know at once! */
        BOOLGADGET,                /* I'm a Boolean Gadget */
        (APTR) &S_Up_Gad_Image,    /* Image */
        NULL,                      /* No select Image */
        NULL,                      /* No Text */
        NULL,                      /* No Mutual Exclude Info */
        NULL,                      /* No Special Info */
        10,                        /* Gadget Number */
        NULL
        }
    };  /* End of NameArrowGads */


struct Image NameSlider_Image =
    { 0,0, 0,0, 0, NULL, 0x0,0x2, NULL };

struct PropInfo NameSlider_PropInfo =
    {
    FREEVERT|AUTOKNOB|             /* Yo! Auto Knob!      */
    PROPBORDERLESS,                /* Horizontal Slider   */
    -1, -1,                        /* HorizPot,VertPot    */
    -1, -1                         /* HorizBody, VeryBody */
    };

struct Gadget NameSliderGad =
    {
    &NameArrowGads[1],             /* Next Gadget */
    146,11,                        /* X,Y */
    18,53,                         /* Width, Height */
    NULL,                          /* No Flags */
    GADGIMMEDIATE|RELVERIFY,
    PROPGADGET,                    /* Proportional Gadget */
    (APTR) &NameSlider_Image,      /* Block Image for Slider */
    NULL,                          /* No Alternate Image */
    NULL,                          /* No Text */
    NULL,                          /* No BoolInfo */
    (APTR) &NameSlider_PropInfo,   /* Proportional Gadget Info */
    9,                             /* Gadget Number */
    NULL                           /* No User Data */
    };


    /** Name Gadgets Setup **/

struct IntuiText TaskToolIText[NAMESDISPLAYED] =
    {
        { 2,1, JAM1, 0,0, &TTTextAttr, NULL, NULL }
    };


struct Image NameGad_Image =
    { 0,0, 120,9, 0, NULL, 0x0,0x1, NULL };

struct Gadget NameGads[NAMESDISPLAYED]=

    {
        {
        NULL,
        23,11,                     /* These will be set up automatically */
        120,9,
        GADGHCOMP|GADGIMAGE,       /* These are good for Mutual Exclude */
        GADGIMMEDIATE,             /* Gadgets (see RKM)                 */
        BOOLGADGET,
        (APTR)&NameGad_Image,      /* Image Structure for box */
        NULL,
        NULL,                      /* Set this up later... (TaskName) */
        NULL,                      /* No BoolInfo */
        NULL,                      /* No SpecialInfo */
        1,                         /* Gadget Number */
        NULL                       /* No User Data */
        }

    };  /* Set up rest of gadgets from this... */


    /** End of Name Gadgets Setup **/


/* End of TaskToolGads.h */

#endif